aboutsummaryrefslogtreecommitdiff
path: root/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atngw100-base/target_skeleton/etc/init.d')
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/K70sendsig1
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S00mountvirtfs74
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S01hotplug14
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S02hostname47
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog24
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S09klog16
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcK6
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcS11
8 files changed, 0 insertions, 193 deletions
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/K70sendsig b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/K70sendsig
deleted file mode 100755
index 1a2485251c..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/K70sendsig
+++ /dev/null
@@ -1 +0,0 @@
-#!/bin/sh
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S00mountvirtfs b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S00mountvirtfs
deleted file mode 100755
index d9e5c9249f..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S00mountvirtfs
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/sh
-
-MOUNT=/bin/mount
-MKDIR=/bin/mkdir
-
-retval=0
-
-mount_fs()
-{
- if [ "$1" = "" -o "$2" = "" -o "$3" = "" ]; then
- return;
- fi
-
- if [ "$4" = "" ]; then
- if ! ${MOUNT} -t $3 $1 $2; then
- echo " mount $2 failed"
- retval=1
- return 1
- else
- echo " $2 mounted"
- fi
- else
- if ! ${MOUNT} -t $3 -o $4 $1 $2; then
- echo " mount $2 failed"
- retval=1
- return 1
- else
- echo " $2 mounted"
- fi
- fi
-
- return 0
-}
-
-mkdir_fs()
-{
- if [ "$1" = "" ]; then
- return;
- fi
-
- if ! ${MKDIR} $1; then
- echo " mkdir $1 failed"
- retval=1
- return 1
- else
- echo " $1 directory made"
- fi
-
- return 0
-}
-
-echo "Mounting virtual filesystems:"
-
-mount_fs proc /proc proc
-mount_fs sys /sys sysfs
-
-if mount_fs dev /dev tmpfs "size=512k,mode=0755"; then
- mkdir_fs /dev/pts
- mount_fs pts /dev/pts devpts
- mkdir_fs /dev/shm
- # g_serial is not detected by mdev.
- mknod /dev/ttygserial c 127 0
-fi
-
-mount_fs config /config configfs
-mount_fs tmp /tmp tmpfs
-mount_fs run /var/run tmpfs
-mount_fs log /var/log tmpfs
-
-if [ $retval -ne 0 ]; then
- echo " WARNING: not able to mount all virtual file systems"
-fi
-
-exit $retval
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S01hotplug b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S01hotplug
deleted file mode 100755
index a30f06a09b..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S01hotplug
+++ /dev/null
@@ -1,14 +0,0 @@
-#! /bin/sh
-
-echo -n "Setting up mdev: "
-set -e
-trap 'echo "failed"' EXIT
-/bin/ln -s /proc/self/fd /dev/fd
-/bin/ln -s /proc/self/fd/0 /dev/stdin
-/bin/ln -s /proc/self/fd/1 /dev/stdout
-/bin/ln -s /proc/self/fd/2 /dev/stderr
-/bin/ln -s /proc/kcore /dev/core
-/bin/echo /sbin/mdev > /proc/sys/kernel/hotplug
-/sbin/mdev -s
-trap - EXIT
-echo "done"
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S02hostname b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S02hostname
deleted file mode 100755
index 083d41dc40..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S02hostname
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh
-
-PROGRAM=/bin/hostname
-
-echo -n "Setting hostname: "
-[ -x ${PROGRAM} ] || (echo "missing"; exit 0)
-
-if [ -f /etc/hostname ]; then
- HOST="$(cat /etc/hostname)"
-else
- HOST="localhost.localdomain"
-fi
-
-start() {
- if ${PROGRAM} "${HOST}"; then
- echo "'${HOST}'"
- else
- echo "failed"
- exit 1
- fi
-}
-
-stop() {
- return 0
-}
-
-restart() {
- stop
- start
-}
-
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload)
- restart
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog
deleted file mode 100755
index 58b05925db..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-SYSLOGD=/sbin/syslogd
-
-echo -n "Starting syslogd: "
-if [ ! -x "${SYSLOGD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${SYSLOGD}; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
-
-echo -n "Log messages to syslog: "
-if echo 4 4 1 7 > /proc/sys/kernel/printk; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S09klog b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S09klog
deleted file mode 100755
index 1b0028a084..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S09klog
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-KLOGD=/sbin/klogd
-
-echo -n "Starting klogd: "
-if [ ! -x "${KLOGD}" ]; then
- echo "missing"
- exit 1
-fi
-
-if ${KLOGD}; then
- echo "done"
-else
- echo "failed"
- exit 1
-fi
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcK b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcK
deleted file mode 100755
index 1db1400fa4..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcK
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh
-
-echo "Shutting down ..."
-for k in /etc/init.d/K*; do
- $k stop
-done
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcS b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcS
deleted file mode 100755
index 4d80c251b7..0000000000
--- a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/rcS
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-for s in /etc/init.d/S*; do
- if [ -x $s ]; then
- $s start
- fi
-done
-
-echo
-echo "NGW100 ready"
-echo